package com.showmejava.gridbag;

/**
 * A checked exception which indicates that some value was incorrect
 * in a Constraints object.
 * @author Eric M. Burke
 * @version 2.0
 */
public class ConstraintsException extends Exception {
    /**
     * Construct a new constraints exception.
     * @param message a message suitable for display to the user.
     */
    public ConstraintsException(String message) {
        super(message);
    }
}

