package com.showmejava.gridbag;

import java.beans.PropertyEditorSupport;

/**
 * A simple property editor for Constraints.fill.
 * @author Eric M. Burke
 * @version 2.1
 */
public class FillEditor extends PropertyEditorSupport {
    public String[] getTags() {
        return GBCUtil.ALL_FILLS;
    }

    public void setAsText(String s) {
        setValue(s);
    }

    public String getJavaInitializationString() {
        return "GridBagConstraints." + (String)getValue();
    }
}

